microsoft-foundry.rest.security.o-auth2-auth
Skills
Delete a skill
DELETE
/skills/{name}
Removes the specified skill and its associated versions.
路徑參數
name
string
必要
The unique name of the skill.
標頭參數
Foundry-Features
enum
必要
A feature flag opt-in required when using preview operations or modifying persisted preview resources.
Skills=V1Preview
查詢參數
api-version
string
必要
The API version to use for this operation.
回覆
The request has succeeded.
主體
Content-Type: application/json
id
string
必要
The unique identifier of the deleted skill.
name
string
必要
A skill name following the agentskills.io spec: lowercase letters, numbers, and hyphens only. Must not start or end with a hyphen or contain consecutive hyphens.
deleted
boolean
必要
Whether the skill was successfully deleted.
Request
DELETE /skills/{name} HTTP/1.1
回應
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json